var tombolaaa = null;
var nextTimeout = null;
var sSmorfiaTimeout = null;
var hSmorfiaTimeout = null;
var storage=Storages.localStorage;	
var versioneDemo = false;	

//$('#nomeFileCSS').change(function(){localStorage.setItem('nomeFileCSS', $('#nomeFileCSS').val()); leggiConfigurazione();});
//$('#tipoSmorfia').change(function(){localStorage.setItem('tipoSmorfia', $('#tipoSmorfia').val()); leggiConfigurazione();});

$('#nomeFileCSS').change(function(){cambiaCSS('nomeFileCSS')});
$('#tipoSmorfia').change(function(){cambiaCSS('tipoSmorfia')});

	var elemm=$('div.lastExtracted ul')[0];
	//alert(elemm);
	//$(elemm).click(function(){alert($(this).children().first().text());});
	
//elimina il background grigio
$('#myModal').on('shown.bs.modal', function () {
      $(".modal-backdrop.in").hide();
   })

function cambiaCSS(idElemento){
	
	// 2. Controllo specifico per 'nomeFileCSS' e valore "SE"
	var valore = $('#' + idElemento).val();
	
  if ((idElemento === 'nomeFileCSS' || idElemento === 'tipoSmorfia') && (valore === 'SE' || valore === 'SE1')) {
    // Definisci il codice di verifica corretto (es. "1234")
    
    var codiceCorretto = " Groik"
		
    // Richiede all'utente di inserire il codice
    var codiceInserito = prompt("Attenzione: Questa è una configurazione speciale. Inserisci il codice di verifica per continuare:", "");

		codiceInserito = encryptMsg(codiceInserito, 6);
		
    // 3. Verifica il codice inserito
    if (codiceInserito === codiceCorretto) {
      // Codice CORRETTO: Esegue la logica di salvataggio
      versioneDemo = false;
      localStorage.setItem(idElemento, valore);
      leggiConfigurazione();
      
      alert("Configurazione speciale attivata.");
    } else {
      // Codice ERRATO: Avvisa l'utente e non esegue il salvataggio
      alert("Codice di verifica errato. Il cambiamento non è stato impostato.");
      // Opzionale: Ritorna al valore precedente per l'elemento
      $('#' + idElemento).val(localStorage.getItem(idElemento) || ''); 
      versioneDemo = false;
      return; // Esce dalla funzione
    }
  } else {
  	
		//localStorage.setItem('nomeFileCSS', $('#nomeFileCSS').val()); 
		localStorage.setItem(idElemento, valore);
		localStorage.setItem('nomeFileCSS', $('#nomeFileCSS').val()); 
		leggiConfigurazione();	
	}
} 

function cambiaSmorfia(){
	localStorage.setItem('tipoSmorfia', $('#tipoSmorfia').val()); 
	leggiConfigurazione();

}  
function initGui(){
		
   //CALCULATE FONT SIZE
   var body = $('body')[0]

  //var cells = $('ul.cartella li.riga > ul > li')
  var numbers = $('ul.cartella li.riga > ul > li a')
  //var firstCell = cells[0];
  var firstCell = $('ul.cartella li.riga > ul > li')
  
  var cellSize = {x:0,y:0};
  
  
  
  cellSize.x = firstCell.width();
	cellSize.y = firstCell.height();
	//cellSize.x = firstCell.css('width');
	//cellSize.y = firstCell.css('height');
	
	
	
	var cellDim=cellSize.y;
  
  //alert(cellDim);
  
  if(cellSize.x<cellSize.y);
  	cellDim = cellSize.x;
  
  //if ($('#ultimiEstratti').is(":hidden")) {
  ////cellDim  = cellDim /3.9 ;
  //alert(8)
  //}else{alert(7)}
  	
	//cellDim =cellDim+(5*cellDim /100) 
	
  //var fontSize = Math.round(cellDim/100*75);
  var fontSize = Math.round(cellDim/100*48);
	//alert(fontSize);
	
  $('body').css('font-size', fontSize+'px');
  numbers.css('line-height', cellDim+'px');
  cellDim=cellDim/100*63;
  numbers.css('line-height', cellDim+'px');
  numbers.css('width', cellDim+'px');
  numbers.css('height', cellDim+'px');
   
  //wrappo i numeri con uno span
  
  //Solo se il tabellone è cliccabile
  
  
  console.log("Integrazioni_main:"+storage.get('flagInterazioni'));
	if(storage.get('flagInterazioni')!='Statico')  {
	  for(i=1;i<=90;i++){
	  		var elemm=document.getElementsByName('n'+i)[0];
	  		elemm.onclick = function(){ showNumber(this.name.substr(1)); };
		}
	}
	
	
	/*
	if (elemm.addEventListener) {  // all browsers except IE before version 9
  	elemm.addEventListener("click", function(){ showNumber('3'); }, false);
	} else {
	  if (elemm.attachEvent) {   // IE before version 9
  	  elemm.attachEvent("click", function(){ showNumber('3'); });
  	}
	}
	*/
	//elemm.addEventListener("click", function(){ showNumber('2')},false)
	
	
}

function setLang(){
  //var labelUltimiEstratti = $('div.lastExtracted h2')[0];
  //labelUltimiEstratti.innerHTML = "ultimi estratti";
  
  ////labelUltimiEstratti.innerHTML = chrome.i18n.getMessage("ultimi_estratti");
  ////tombolaaa.setLocale(chrome.i18n.getMessage("@@ui_locale").substr(0,2))
  

  tombolaaa.setLocale('it');
  //var labelNuovoGiro = $('#nuovoGiro')[0];
  //labelNuovoGiro.innerHTML = "Nuovo Giro";
  //labelNuovoGiro.innerText = "Nuovo Giro";
}

$('document').ready( function() {
    var body = $('body')[0];
    
    //tombolaaa = new Tombolaaa();
    tombolaaa = Tombolaaa;
    tombolaaa.initialize();
    
    setLang();
    initGui();
    //$('body').on('keypress',extracNext);
    togleConfigurazione(true,false);
    
    //titoloTombola=leggiCookie('Titolo');
    var titoloTombola=storage.get('titoloPagina');
    
    
    //if (titoloTombola.length>0){
    //	//$('tombolaTitle').innerHTML=titoloTombola; 
    //	$('#tombolaTitle').html(titoloTombola); 
    //}
    
    window.onclick = function(){
  		var myElement = $('#tombolaTitle');
    	//scriviCookie('Titolo',myElement.html,600);
			storage.set('titoloPagina',myElement.html());
			
			var myElement = $('#ultimiEstratti');
    	//scriviCookie('Titolo',myElement.html,600);
			storage.set('ultimiEstratti',myElement.html());
			
		}
			
		
})


	
$(window).resize( function(){
    initGui()
})

/*
var myElement = document.id('tombolaTitle');
window.addEvent('onclick',function(){
	alert(myElement.innerHTML);
});


myElement.addEvent('blur', function() {
		//get value, place it in original element
		val = input.get('value').trim();
		el.set('text',val).addClass(val != '' ? '' : 'editable-empty');
		alert(val);
		});
*/



function cancellaEstratti() {
	for(numero=1;numero<=90;numero++){
       //cencellaCookie("N"+numero);
       storage.set('N'+numero,0);
       //Cookies.remove('N'+numero);
      }
       
} 
function hiddenExtract(e){
	/*
	var numero=$('#estratto');
	if (numero.is(":visible") && numero.css("visibility") != "hidden"){
		numero.css("visibility", 'hidden');
		//clearTimeout(numero.numberZoomTimeout);
    //  numero.numberZoomFx.start('opacity',1);
    //  numero.numberZoomTimeout = numero.numberZoomFx.start.pass(['opacity',0], numero.numberZoomFx).delay(6000);
    numero.css('opacity',0);
      
      
	}
	*/
	tombolaaa.hidBigNumber();
}
function extracNext(e){
	if (document.activeElement.id!='tombolaTitle' && document.activeElement.id!='ultimiEstratti'){
    clearTimeout(nextTimeout);
    
           
    
    clearTimeout(sSmorfiaTimeout);
    clearTimeout(hSmorfiaTimeout);
    sSmorfiaTimeout=null;
    hSmorfiaTimeout=null;
    
    nextTimeout = setTimeout(tombolaaa.extractNext.bind(tombolaaa),300);
 	}
}
function showNumber(e){   
	
	//if (e.className.indexOf('extractedNumber')>0)
	//tombolaaa.showNumber.bind(tombolaaa);
	clearTimeout(sSmorfiaTimeout);
  clearTimeout(hSmorfiaTimeout);
  sSmorfiaTimeout=null;
  hSmorfiaTimeout=null;
  
	tombolaaa.showNumber(e);
	if (versioneDemo){
		if(tombolaaa.uncalled.length<80){
			alert ("Versione demo, numero massimo superato!"); 
			
			cancellaEstratti();
			location.reload();
			//tombolaaa.initialize();
		}
		}
	//setTimeout($('#myModalSmorfia').modal('show'),times*10);
	
	//showSmorfiaNumber(e);
}
	//alert(e);
	
	
	
function showSmorfiaNumber(e,fast){
	if (!fast) {
		var timesNN = storage.get('tempoNuovoNum') * 5000;
		var timesSM = storage.get('tempoSmorfia') * 1000;
	}	else{
		var timesNN = storage.get('tempoNuovoNum') * 0;
		var timesSM = storage.get('tempoSmorfia') * 1000;
		sSmorfiaTimeout=null;
		hSmorfiaTimeout=null;
	}
		setSmorfia(e);
		if (storage.get('tipoSmorfia')!="0"){	
			if (sSmorfiaTimeout==null && hSmorfiaTimeout==null){
				sSmorfiaTimeout=setTimeout(function(){$('#myModalSmorfia').modal('show');},timesNN);
				hSmorfiaTimeout=setTimeout(function(){$("#myModalSmorfia").modal('hide');}, timesNN+timesSM);
			}
		}else console.log("Niente smorfia");
	
}	
	
function phpRandom($min,$max){
   return mt_rand( $min , $max );
}
function mt_rand (min, max) {
  // http://kevin.vanzonneveld.net
  // +   original by: Onno Marsman
  // +   improved by: Brett Zamir (http://brett-zamir.me)
  // +   input by: Kongo
  // *     example 1: mt_rand(1, 1);
  // *     returns 1: 1
  var argc = arguments.length;
  if (argc === 0) {
    min = 0;
    max = 2147483647;
  }
  else if (argc === 1) {
    throw new Error('Warning: mt_rand() expects exactly 2 parameters, 1 given');
  }
  else {
    min = parseInt(min, 10);
    max = parseInt(max, 10);
  }
  return Math.floor(Math.random() * (max - min + 1)) + min;
}	

function changeCSS(cssLinkID, cssFile) {
/*
    var oldlink = document.getElementsByTagName("link").item(cssLinkIndex);

    var newlink = document.createElement("link");
    newlink.setAttribute("rel", "stylesheet");
    newlink.setAttribute("type", "text/css");
    newlink.setAttribute("href", cssFile);
*/
    //var cssLink = $('link[href*="light.css"]');
    var cssLink = $(cssLinkID);
    //alert('<link id="'+cssLinkID+'" href="'+cssFile+'" type="text/css" rel="stylesheet">' );
    //alert($('#'+cssLinkID).attr('href'));
    $('#'+cssLinkID).attr('href',cssFile);
		//cssLink.replaceWith('<link id="'+cssLinkID+'" href="'+cssFile+'" type="text/css" rel="stylesheet">');
		
	
}

function importaConfigurazione(){	
	var titoloPagina = storage.get('titoloPagina');
	var ultimiEstratti = storage.get('ultimiEstratti');
	//ultimiEstratti = ultimiEstratti.trim();
	var nuovoGiro = storage.get('nuovoGiro');
	var famigliaFont = storage.get('famigliaFont');
	var formaNumeri = storage.get('formaNumeri');
	var flagAnimazioni = storage.get('flagAnimazioni');
	var flagInterazioni = storage.get('flagInterazioni');
	var nomeFileCSS = storage.get('nomeFileCSS');
	var tipoSmorfia = storage.get('tipoSmorfia');
	var smorfiaGrafica = storage.get('smorfiaGrafica');
	var tempoNuovoNum = storage.get('tempoNuovoNum');
	var tempoSmorfia = storage.get('tempoSmorfia');
	
	
	if (typeof(nuovoGiro)  !== "undefined" & nuovoGiro !== null ) {
		$('#famigliaFont').val(famigliaFont);
		
		
		$('#ultimiEstratti').text(ultimiEstratti);
		$('#testoUltimiEstratti').val(ultimiEstratti);
		$('tombolaTitle').text(titoloPagina);
		$('#testoTitoloPagina').val(titoloPagina);
		
		
		
		$('#testoNuovoGiro').val(nuovoGiro);
		//$('#formaNumeri').val(formaNumeri);
		$('#formaNumeri[value='+formaNumeri+']').click();
		$('#flagAnimazioni[value='+ flagAnimazioni+']').click();
		$('#flagInterazioni[value='+flagInterazioni+']').click();
		$('#nomeFileCSS').val(nomeFileCSS);
		$('#tipoSmorfia').val(tipoSmorfia);
		$('#smorfiaGrafica').prop('checked',smorfiaGrafica);
		$('#tempoNuovoNum').val(tempoNuovoNum);
		$('#tempoSmorfia').val(tempoSmorfia);
		
	
	  if (titoloPagina.length>0){
	  	$('#tombolaTitle').html(titoloPagina); 
	  }
	    if (ultimiEstratti.length>0){
	    //alert(ultimiEstratti);
	  	$('#ultimiEstratti').html(ultimiEstratti);  
	  	$('#testoUltimiEstratti').val(ultimiEstratti);  
	
	  }else{	
	  	//se non c'è il titolo elimina la colonna degli ultimi estratti
	  	$('#testoUltimiEstratti').html("");  
	  	
	
  	}
  	
  	var tempTitle=titoloPagina.toUpperCase();
	  if( tempTitle.indexOf("LUISELLA") !== -1 ){
	  	//titoloTombola =+ " VERSONE DEMO (50 num.))";
	  	if( tempTitle.indexOf("DEMO") !== -1 ){
	  		titoloPagina="VERSONE DEMO (10 num.)"+titoloPagina;
	  	}
	  	$('#tombolaTitle').text(titoloPagina);
	  	$('#tombolaTitle').val(titoloPagina);
	  	versioneDemo = true;
	  }
	  if (nuovoGiro.length>0){
	  	$('#nuovoGiro').html(nuovoGiro); 
	  }else{	
	  	$('#nuovoGiro').html("Nuovo giro"); 
	  }
	  
	  if (nomeFileCSS)
	  	{
	  		changeCSS('layoutcss','css/'+'layout'+nomeFileCSS+'.css');
	  	}
	 } 	
	 else
	 {
	  $('#famigliaFont').val('Verdana, Arial, Helvetica, sans-serif');
		$('#titoloPagina').val('Tombola by Leobox.it');
		$('#ultimiEstratti').val('ultimi estratti');
		$('#textNuovoGiro').val('Nuovo giro');
		$('#nomeFileCSS').val('R');
		$('#tipoSmorfia').val('0');
		$('#smorfiaGrafica').prop('checked',false);
		
		$('#testoUltimiEstratti').val('ultimi estratti');
		$('tombolaTitle').text('Tombola by Leobox.it');
		$('#testoTitoloPagina').val('Tombola by Leobox.it');
		$('#tempoNuovoNum').val('2');
		$('#tempoSmorfia').val('2');
		
		
		$('#testoNuovoGiro').val('Nuovo giro');
		
	  salvaConfigurazione();
	 }
	 setSmorfiaData();
	 
	 if (ultimiEstratti.length==0){
	  $('#ultimiEstratti').attr("hidden",true);
	  $('#ultimiEstratti').attr("hidden",true);
	  $('.lastExtracted').attr("hidden",true);
	  $('.lastExtractedShadow').attr("hidden",true);
	  $('#estraiNumero').attr('style','display:none !important');
	  $('#nuovoGiro').attr('style','display:none !important');
	}
	  else {
    $('#ultimiEstratti').attr("hidden",false);
	  $('#ultimiEstratti').attr("hidden",false);
	  $('.lastExtracted').attr("hidden",false);
	  $('.lastExtractedShadow').attr("hidden",false);
	  $('#estraiNumero').attr('style','display:block !important');
	  $('#nuovoGiro').attr('style','display:block !important');
    }
	
}
	
	
function leggiConfigurazione(){	
	
	var titoloPagina = storage.get('titoloPagina');
	var ultimiEstratti = storage.get('ultimiEstratti');
	//ultimiEstratti = ultimiEstratti.trim();
	var nuovoGiro = storage.get('nuovoGiro');
	var famigliaFont = storage.get('famigliaFont');
	var formaNumeri = storage.get('formaNumeri');
	var flagAnimazioni = storage.get('flagAnimazioni');
	var flagInterazioni = storage.get('flagInterazioni');
	var nomeFileCSS = storage.get('nomeFileCSS');
	var tipoSmorfia = storage.get('tipoSmorfia');
	var smorfiaGrafica = storage.get('smorfiaGrafica');
	var tempoNuovoNum = storage.get('tempoNuovoNum');
	var tempoSmorfia = storage.get('tempoSmorfia');
	
	var animazioniSel = storage.get('animazioniSel');
	
	if(nomeFileCSS!=null){ 
		if( nomeFileCSS.indexOf("SE")!==-1){
	  		titoloPagina="La smorfia&nbsp;di&nbsp;<span class='color1'>Stern</span>&nbsp;<span class='color2'>Energy</span>";
	  		$('#tombolaTitle').text(titoloPagina);
	  		$('#tombolaTitle').val(titoloPagina);
	  	}
	  }
	//if (typeof(titoloPagina)  !== "undefined" & titoloPagina !== null ) {
	if (typeof(nuovoGiro)  !== "undefined" & nuovoGiro !== null ) {
		$('#famigliaFont').val(famigliaFont);
		
		
		$('#ultimiEstratti').text(ultimiEstratti);
		$('#testoUltimiEstratti').val(ultimiEstratti);
		$('tombolaTitle').text(titoloPagina);
		$('#testoTitoloPagina').val(titoloPagina);
		
		
		//$('#testoUltimiEstratti').val(ultimiEstratti);
		//alert(ultimiEstratti);
		
		$('#testoNuovoGiro').val(nuovoGiro);
		//$('#formaNumeri').val(formaNumeri);
		$('#formaNumeri[value='+formaNumeri+']').click();
		$('#flagAnimazioni[value='+ flagAnimazioni+']').click();
		$('#flagInterazioni[value='+flagInterazioni+']').click();
		$('#nomeFileCSS').val(nomeFileCSS);
		$('#tipoSmorfia').val(tipoSmorfia);
		$('#smorfiaGrafica').prop('checked',smorfiaGrafica);
		$('#tempoNuovoNum').val(tempoNuovoNum);
		$('#tempoSmorfia').val(tempoSmorfia);
		
		//$('#ultimiEstratti').val(ultimiEstratti);
		
		
		//$('#mltislct').multiselect('select', animazioniSel);
		//$('#mltislct').multiselect({nonSelectedText:'Animazioni da utilizzare...',buttonWidth: '100%'});
		
		
		//$('body').css('font-family', famigliaFont);
	  if (titoloPagina.length>0){
	  	$('#tombolaTitle').html(titoloPagina); 
	  }
	    if (ultimiEstratti.length>0){
	    //alert(ultimiEstratti);
	  	$('#ultimiEstratti').html(ultimiEstratti);  
	  	$('#testoUltimiEstratti').val(ultimiEstratti);  
	  	//$('#Ultimiestratti').attr("hidden",false);
  	  //$('#ultimiEstratti').attr("hidden",false);
  	  //$('.lastExtracted').attr("hidden",false);
  	  //$('.lastExtractedShadow').attr("hidden",false);
  	  //$('a#estraiNumero').attr('style','display:none !important');
  	  //$('a#nuovoGiro').attr('style','display:none !important');
	  }else{	
	  	//se non c'è il titolo elimina la colonna degli ultimi estratti
	  	$('#testoUltimiEstratti').html("");  
	  	
	  	//$('#ultimiEstratti').html("ultimi estratti"); 
	  	
	  	//$('#ultimiEstratti').attr("hidden",true);
  	  //$('#ultimiEstratti').attr("hidden",true);
  	  //$('.lastExtracted').attr("hidden",true);
  	  //$('.lastExtractedShadow').attr("hidden",true);
  	  //$('a#estraiNumero').attr("hidden",true);
  	  //$('a#nuovoGiro').attr("hidden",true);
  	}
  	
  	var tempTitle=titoloPagina.toUpperCase();
	  if( tempTitle.indexOf("LUIS ELLA") !== -1 ){
	  	//titoloTombola =+ " VERSONE DEMO (50 num.))";
	  	if( tempTitle.indexOf("DEMO") !== -1 ){
	  		titoloPagina="VERSONE DEMO (50 num.)"+titoloPagina;
	  	}
	  	$('#tombolaTitle').text(titoloPagina);
	  	$('#tombolaTitle').val(titoloPagina);
	  	versioneDemo = true;
	  }
	  	  
	  if (nuovoGiro.length>0){
	  	$('#nuovoGiro').html(nuovoGiro); 
	  }else{	
	  	$('#nuovoGiro').html("Nuovo giro"); 
	  }
	  
	  if (nomeFileCSS)
	  	{
	  		//alert(nomeFileCSS);
	  		changeCSS('layoutcss','css/'+'layout'+nomeFileCSS+'.css');
	  	}
	 } 	
	 else
	 {
	  $('#famigliaFont').val('Verdana, Arial, Helvetica, sans-serif');
		$('#titoloPagina').val('Tombola by Leobox.it');
		$('#ultimiEstratti').val('ultimi estratti');
		$('#textNuovoGiro').val('Nuovo giro');
		$('#nomeFileCSS').val('R');
		$('#tipoSmorfia').val('0');
		$('#smorfiaGrafica').prop('checked',false);
		
		$('#testoUltimiEstratti').val('ultimi estratti');
		$('tombolaTitle').text('Tombola by Leobox.it');
		$('#testoTitoloPagina').val('Tombola by Leobox.it');
		$('#tempoNuovoNum').val('2');
		$('#tempoSmorfia').val('2');
		
		//$('#testoUltimiEstratti').val(ultimiEstratti);
		//alert(ultimiEstratti);
		
		$('#testoNuovoGiro').val('Nuovo giro');
		
		//$('#formaNumeri[value='+formaNumeri+']').click();
		//$('#flagAnimazioni[value='+ flagAnimazioni+']').click();
		//$('#flagInterazioni[value='+flagInterazioni+']').click();
	  salvaConfigurazione();
	 }
	 setSmorfiaData();
	 
	 if (ultimiEstratti.length==0){
	  $('#ultimiEstratti').attr("hidden",true);
	  $('#ultimiEstratti').attr("hidden",true);
	  $('.lastExtracted').attr("hidden",true);
	  $('.lastExtractedShadow').attr("hidden",true);
	  $('#estraiNumero').attr('style','display:none !important');
	  $('#nuovoGiro').attr('style','display:none !important');
	}
	  else {
    $('#ultimiEstratti').attr("hidden",false);
	  $('#ultimiEstratti').attr("hidden",false);
	  $('.lastExtracted').attr("hidden",false);
	  $('.lastExtractedShadow').attr("hidden",false);
	  $('#estraiNumero').attr('style','display:block !important');
	  $('#nuovoGiro').attr('style','display:block !important');
    }
	  
	 //if ($('#ultimiEstratti').is(":hidden")) {
	 // initGui();
	 //	}else alert(88);
}

function salvaConfigurazione(){
	//storage.removeAll();
	//alert($('input:radio[name=formaNumeri]:checked').val());
	storage.set('famigliaFont', $('#famigliaFont').val());
	storage.set('titoloPagina', $('#testoTitoloPagina').val());
	//storage.set('ultimiEstratti', $('#testoUltimiEstratti').val()+" ");
	//storage.set('ultimiEstratti',$('#testoUltimiEstratti').val()===""?".":$('#testoUltimiEstratti').val());
	storage.set('ultimiEstratti',$('#testoUltimiEstratti').val());
  
  //alert($('#testoUltimiEstratti').val());
  
  
  storage.set('nuovoGiro', $('#testoNuovoGiro').val());
	storage.set('formaNumeri', $('#formaNumeri:checked').val());
	storage.set('flagAnimazioni', $('#flagAnimazioni:checked').val());
	storage.set('flagInterazioni', $('#flagInterazioni:checked').val());
	storage.set('nomeFileCSS', $('#nomeFileCSS').val());
	storage.set('tipoSmorfia', $('#tipoSmorfia').val());
	storage.set('smorfiaGrafica', $('#smorfiaGrafica').prop('checked'));
	storage.set('tempoNuovoNum', $('#tempoNuovoNum').val());
	storage.set('tempoSmorfia', $('#tempoSmorfia').val());
	
	storage.set('animazioniSel', $('#mltislct').val());
	console.log(storage.get('animazioniSel'));
	
	
	if ($('#formaNumeri:checked').val()=="Quadrati"){
		$('ul.cartella li.riga > ul > li a').css('border-radius', 0);
		$('a#estratto').css('border-radius', 0);
	}else{
		$('ul.cartella li.riga > ul > li a').css('border-radius', '10em');
		$('a#estratto').css('border-radius', '10em');
	}
	
	if ($('#flagAnimazioni:checked').val()=="Nessuna"){
		//$('ul.cartella li.riga > ul > li a').css('border-radius', 0);
		//$('a#estratto').css('border-radius', 0);
	}else{
		//$('ul.cartella li.riga > ul > li a').css('border-radius', '10em');
		//$('a#estratto').css('border-radius', '10em');
	}
	if ($('#flagInterazioni:checked').val()=="Statico"){
		for(i=1;i<=90;i++){
	  		var elemm=document.getElementsByName('n'+i)[0];
	  		elemm.onclick = function(){ };
		}
	}else{
		for(i=1;i<=90;i++){
	  		var elemm=document.getElementsByName('n'+i)[0];
	  		elemm.onclick = function(){ showNumber(this.name.substr(1)); };
		}
	}
	leggiConfigurazione();
	
	testoNumero="";
	switch ($('#tipoSmorfia').val()){
		case "SS":	
		case "S":	
			//testoNumero= numero+' - '+ smorfia[tipo+"n"][numero];
		
			testoNumero=$('#tipoSmorfia option:selected').text()+"<br>";
			frase="Alcune parole potrebbero <br>non essere corrette,<br>se mi mandate le correzioni <br>ve ne sarò grato <br>e farò le dovute correzioni.<br>";
			//frase = smorfia[tipo+"n"][numero]+"<br><br>"+smorfia[tipo][numero];
			break;
	}		
	
	if (testoNumero){
		$("#numeroSmorfia").html(testoNumero);
		$("#testoSmorfia").html(frase);	
	
		$('#myModalSmorfia').modal('show');
		setTimeout(function(){$("#myModalSmorfia").modal('hide');}, 50000*2);
	}
}
	
function togleConfigurazione(bAttivaKey,bSave){
	if (bAttivaKey) {
		$('body').on('keypress',extracNext);
		//$('body').keypress(extracNext);
		
	}else{
		//$('body').keypress();
		$('body').off('keypress');
	}
	$('#myModal').modal('hide');//$('#myModal').modal('toggle');
	if (bSave) salvaConfigurazione();
}

function encryptMsg(str, shift) {
   let encreptedStr = ' ';
    
   for (let i = 0; i < str.length; i++) {
      let charCode = str.charCodeAt(i);
       
      if (charCode >= 65 && charCode <= 90) {
         // uppercase letters
         encreptedStr += String.fromCharCode((charCode - 65 + shift) % 26 + 65);
      } else if (charCode >= 97 && charCode <= 122) {
         // lowercase letters
         encreptedStr += String.fromCharCode((charCode - 97 + shift) % 26 + 97);
      } else {
         // non-alphabetic characters
         encreptedStr += str.charAt(i);
      }
   }
   return encreptedStr;
  }
/*
window.addEventListener("keydown", function (ev) {
  var key;
  var isShift;
  ev.defaultPrevented;
  window.defaultPrevented;
   if (window.event) {
    key = window.event.keyCode;
  } else {
    key = ev.which;
  }
  	
    switch (key) {
      case 32: // ignore shift key
        break;
      default:
        //alert(key);
        // do stuff here?
        break;
    }
  
});
*/